#ifndef LOQHEADERVIEWCHECKBOX_H
#define LOQHEADERVIEWCHECKBOX_H

#include <QDebug>
#include <QHeaderView>
#include <QCheckBox>

class LoQHeaderViewCheckBox : public QHeaderView
{
    Q_OBJECT
public:
    explicit LoQHeaderViewCheckBox(Qt::Orientation orientation, QWidget *parent = nullptr, const QString &id = "none");
    void HideHeaderCheckBox(bool b);
protected:
    void paintSection(QPainter *painter, const QRect &rect, int logicalIndex) const override;

signals:
    void sigCheckAll(bool);

public slots:
    void onAllChecked(bool f);

private:
    QCheckBox *m_checkBox;
};

#endif // LOQHEADERVIEWCHECKBOX_H
